---
title: Document.fonts
slug: Web/API/Document/fonts
tags:
  - API
  - DOM
  - Font Loading API
  - FontFace
  - FontFaceSet
  - Fonts
  - font
---
<p>{{APIRef("DOM")}}</p>

<p><span class="seoSummary">The <strong><code>fonts</code></strong> property of the {{domxref("Document")}} interface returns the {{domxref("FontFaceSet")}} interface of the document.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <var>fontFaceSet</var> = <var>document</var>.fonts;</pre>

<h3 id="Value">Value</h3>

<p>The returned value is the {{domxref("FontFaceSet")}} interface of the document. The <code>FontFaceSet</code> interface is useful for loading new fonts, checking the status of previously loaded fonts etc.</p>

<h2 id="Example">Examples</h2>

<h3 id="Doing_operation_after_all_fonts_are_loaded">Doing operation after all fonts are loaded</h3>

<pre class="brush: js notranslate">document.fonts.ready.then(function() {
  // Any operation that needs to be done only after all the fonts
  // have finished loading can go here.
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Font Loading','#FontFaceSet-interface','FontFaceSet')}}</td>
   <td>{{Spec2('CSS3 Font Loading')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Document.fonts")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("FontFaceSet")}} interface</li>
 <li>{{domxref("FontFace")}}</li>
</ul>
